curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-invoice-corrections \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-invoice-corrections"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-invoice-corrections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesInvoiceNumber": "<string>",
"totalGrossAmount": 123,
"totalNetAmount": 123,
"salesInvoiceCorrectionNumber": "<string>",
"customerNumber": "<string>",
"revenueAccount": "<string>",
"currencyIso": "<string>",
"customerGroupName": "<string>",
"salesInvoiceCorrectionDate": "2023-11-07T05:31:56Z",
"printDate": "2023-11-07T05:31:56Z",
"mailDate": "2023-11-07T05:31:56Z",
"salesInvoiceComment": "<string>",
"cancelledDate": "2023-11-07T05:31:56Z",
"cancellationUserName": "<string>",
"cancellationReason": "<string>",
"cancellationComment": "<string>",
"shortText": "<string>",
"billingAddressCompany": "<string>",
"billingAddressFirstName": "<string>",
"billingAddressLastName": "<string>",
"billingAddressStreet": "<string>",
"billingAddressPostalCode": "<string>",
"billingAddressCity": "<string>",
"billingAddressCountryName": "<string>",
"billingAddressPhoneNumber": "<string>",
"billingAddressFax": "<string>",
"billingAddressEmailAddress": "<string>",
"billingAddressAdditionalCompanyLine": "<string>",
"billingAddressAdditionalAddressLine": "<string>",
"billingAddressState": "<string>",
"shipmentAddressCompany": "<string>",
"shipmentAddressFirstName": "<string>",
"shipmentAddressLastName": "<string>",
"shipmentAddressStreet": "<string>",
"shipmentAddressPostalCode": "<string>",
"shipmentAddressCity": "<string>",
"shipmentAddressCountryName": "<string>",
"shipmentAddressPhoneNumber": "<string>",
"shipmentAddressFax": "<string>",
"shipmentAddressEmailAddress": "<string>",
"shipmentAddressAdditionalCompanyLine": "<string>",
"shipmentAddressAdditionalAddressLine": "<string>",
"shipmentAddressState": "<string>",
"createdByUserId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"status": "<string>",
"salesChannelId": "<string>",
"platformId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"comment": "<string>",
"ebayUsername": "<string>"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}Queries all sales invoice corrections.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Query Parameters
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).
Sort in descending order. Defaults to ascending when omitted.
Only include items whose SalesInvoiceCorrectionDate is after (greater than) this value.
Only include items whose SalesInvoiceCorrectionDate is before (less than) this value.
Only include items whose PrintDate is after (greater than) this value.
Only include items whose PrintDate is before (less than) this value.
Only include items whose MailDate is after (greater than) this value.
Only include items whose MailDate is before (less than) this value.
Only include items whose CancelledDate is after (greater than) this value.
Only include items whose CancelledDate is before (less than) this value.
Was this page helpful?